package org.example;

import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

@Configuration
public class ApplicationConfig {

	@Bean
	public HelloService helloService(GreetingService greetingService) {
		System.out.println("--- ApplicationConfig: create hello service");
		return new HelloService(greetingService);
	}

	@Bean
	public GreetingService greetingService(TimesOfDay timesOfDay) {
		System.out.println("--- ApplicationConfig: create greeting service");
		return new GreetingService(timesOfDay);
	}

	@Bean
	public TimesOfDay timesOfDay() {
		System.out.println("--- ApplicationConfig: create times of day");
		return new TimesOfDay();
	}
}
